<?php
/**
 * @package   ImpressPages
 */
namespace Plugin\Keywordlist;

class Event
{
    public static function ipBeforeController()
    {
        ipAddCss('assets/keywordlist.css');
        
    }
    
    public static function ipPageUpdated($data)
    {
        if (ipRoute()->plugin() != 'Pages' || ipRoute()->action() != 'updatePage') {
            return; 
        }

        if (!isset($data['keywordlist']) && !isset($data['pagedescription'])) {
            return;
        }

        $pageId = $data['id'];
        $keywords = $data['keywordlist'];
        $description = $data['pagedescription'];

        if (empty($keywords) && empty($description)) {
            Model::removePageKey($pageId);
        } else {
            Model::setPageKey($pageId, $keywords, $description);
        }
    }


    public static function ipBeforePageRemoved($data)
    {
        $pageId = $data['pageId'];
        Model::removePageKey($pageId);
    }
}
