<?php
/**
 * @package   ImpressPages
 */

namespace Plugin\Keywordlist;

class Filter
{
    public static function ipPagePropertiesForm($form, $info)
    {
     
        if (ipGetOption('Keywordlist.useMetadata') == 0) {
     
            $current = Model::getPageKey($info['pageId']);
            
            $fieldset = new \Ip\Form\Fieldset(__('Keywordlist', 'Keywordlist', false));
            $form->addFieldset($fieldset);
    
            $form->addField(new \Ip\Form\Field\Text(
                    array(
                        'name' => 'keywordlist',
                        'label' => __('Keywords', 'Keywordlist', false),
                        'value' => $current['keywords'],
                        'note' => __('One or more keywords (commaseparated) wich are related to current page.', 'Keywordlist', false)
                    )
                )
            );
            $form->addField(new \Ip\Form\Field\Textarea(
                    array(
                        'name' => 'pagedescription',
                        'label' => __('Description', 'Keywordlist', false),
                        'value' => $current['description'],
                        'note' => __('Short description of current page.', 'Keywordlist', false)
                    )
                )
            );
            
        } 
        
    return $form;
    
    }
}
