<?php

/**
 * Widget controller
 */

namespace Plugin\Keywordlist\Widget\Keywordlist;

class Controller extends \Ip\WidgetController
{
     public function getTitle()
     {
          return __('Keywordlist', 'Keywordlist');
     }
       
     public function generateHtml($revisionId, $widgetId, $data, $skin)
     {        
          $keywordData = \Plugin\Keywordlist\Model::getKeywordData();
          
          $keywordlistContent['jumpmenu'] = !empty($data['jumpmenu']) ? intval($data['jumpmenu']) : 0;
          $keywordlistContent['tooltip'] = !empty($data['tooltip']) ? intval($data['tooltip']) : 0;
          $keywordlistContent['columns'] = !empty($data['columns']) ? $data['columns'] : 2;  

          $keywordlistContent['entries'] = $keywordData['entries'];  
          $keywordlistContent['chars'] = $keywordData['chars'];  
            
          return parent::generateHtml($revisionId, $widgetId, $keywordlistContent, $skin);
     }  
 
     public function adminHtmlSnippet()
     {
          $variables = array(
               'optionsForm' => $this->optionsForm()
          );
          return ipView('snippet/options.php', $variables)->render();
     }
    
     protected function optionsForm()
     {
          $curUrl = \Ip\Internal\UrlHelper::getCurrentUrl();

          $form = new \Ip\Form();
          $form->setEnvironment(\Ip\Form::ENVIRONMENT_ADMIN);

          $field = new \Ip\Form\Field\Checkbox (
               array(
                  'name' => 'jumpmenu',
                  'label' => __('Show A-Z jumpmenu atop of keywordlist', 'Keywordlist'),
                  'checked' => 0,
               )
          );
          $form->addField($field);
          
          $field = new \Ip\Form\Field\Checkbox (
               array(
                  'name' => 'tooltip',
                  'label' => __('Show description as tooltip of linked pages', 'Keywordlist'),
                  'checked' => 0,
               )
          );
          $form->addField($field);
          
          $field = new \Ip\Form\Field\Select(
               array(
                    'name' => 'columns',
                    'label' => __('Number of columns', 'Keywordlist'),
                    'values' => array(
                         array('1', __('One column', 'Keywordlist')),
                         array('2', __('Two columns', 'Keywordlist')),
                         array('3', __('Three columns', 'Keywordlist')),
                         array('4', __('Four columns', 'Keywordlist'))
                    ),
                    'note' => __('List of keywords will be wraped to selected number of columns.', 'Keywordlist'),
                    'value' => 3
                )
          );
          $form->addField($field);

        return $form; 
     }     
 
}
