/**
 * @package ImpressPages
 *
 */
var IpWidget_Keywordlist;

(function($){
    "use strict";

    IpWidget_Keywordlist = function() {

        this.widgetObject = null;
        this.confirmButton = null;
        this.popup = null;
        this.data = {};
        this.textarea = null;

        this.init = function (widgetObject, data) {
            var context = this;
            this.widgetObject = widgetObject;
            this.data = data;

            var container = this.widgetObject.find('.ipsContainer');

            if (this.data.html) {
                container.html(this.data.html);
            }

            var context = this; // set this so $.proxy would work below

            this.$widgetOverlay = $('<div></div>');
            this.widgetObject.prepend(this.$widgetOverlay);
            this.$widgetOverlay.on('click', $.proxy(openPopup, this));

            $(document).on('ipWidgetResized', function () {
                $.proxy(fixOverlay, context)();
            });
            $(window).on('resize', function () {
                $.proxy(fixOverlay, context)();
            });
            $(window).on('resize', function () {
                $.proxy(fixOverlay, context)();
            });
            $.proxy(fixOverlay, context)();
        };

        var fixOverlay = function () {
            this.$widgetOverlay
                .css('position', 'absolute')
                .css('z-index', 1000) // should be higher enough but lower than widget controls
                .width(this.widgetObject.width())
                .height(this.widgetObject.height());
        }

        this.onAdd = function () {
            $.proxy(openPopup, this)();
        };

        var openPopup = function () {
            var context = this;
            this.popup = $('#ipWidgetKeywordlistPopup');
            this.confirmButton = this.popup.find('.ipsConfirm');
            this.jumpmenu = this.popup.find('input[name=jumpmenu]');
            this.tooltip = this.popup.find('input[name=tooltip]');
            this.columns = this.popup.find('select[name=columns]');
            
            if (parseInt(this.data.jumpmenu)) {
                this.jumpmenu.attr('checked', 'checked');
            } else {
                this.jumpmenu.removeAttr('checked'); 
            }
            
            if (parseInt(this.data.tooltip)) {
                this.tooltip.attr('checked', 'checked');
            } else {
                this.tooltip.removeAttr('checked'); 
            }
            
            if (parseInt(this.data.columns)) {
                this.columns.val(this.data.columns);
            } else {
                this.columns.val(3); 
            }
                     
            this.popup.modal();

            this.confirmButton.off(); 
            this.confirmButton.on('click', $.proxy(save, this));
        };

        var save = function () {
            
            var data = {
                jumpmenu: this.jumpmenu.prop('checked') ? 1 : 0,
                tooltip: this.tooltip.prop('checked') ? 1 : 0,
                columns: this.columns.val()
            };

            this.widgetObject.save(data, 1); // save and reload widget
            this.popup.modal('hide');
        };
    };

})(jQuery);
